Bug 746787 - [abrt] epiphany-3.2.0-1.fc16: __GI_getenv: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
[abrt] epiphany-3.2.0-1.fc16: __GI_getenv: Process /usr/bin/epiphany was kill...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
abrt_hash:8fd6a579facb61986d232e5c6ab...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-17 15:09 EDT by fred
Modified: 2016-05-31 21:31 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 01:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (39.32 KB, text/plain)
2011-10-17 15:09 EDT, fred
no flags Details
File: backtrace (22.36 KB, text/plain)
2011-10-17 15:09 EDT, fred
no flags Details
File: backtrace (19.60 KB, text/plain)
2012-01-30 18:54 EST, scjackson
no flags Details
File: backtrace (22.05 KB, text/plain)
2012-02-06 17:40 EST, Bruce Cowan
no flags Details
File: backtrace (23.98 KB, text/plain)
2012-02-12 05:38 EST, Štefan Gurský
no flags Details
File: backtrace (24.65 KB, text/plain)
2012-02-16 19:29 EST, Mathieu Bridon
no flags Details
File: backtrace (23.91 KB, text/plain)
2012-03-04 16:29 EST, James A. Manes
no flags Details

  None (edit)
Description fred 2011-10-17 15:09:53 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        epiphany
comment:        started epiphany
crash_function: __GI_getenv
executable:     /usr/bin/epiphany
kernel:         3.1.0-0.rc9.git0.0.fc16.x86_64
reason:         Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
time:           Mon Oct 17 19:48:45 2011
uid:            1000
username:       fred

backtrace:      Text file, 22899 bytes
maps:           Text file, 40266 bytes

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1318853862
:/lib64/libgio-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318853905
:/usr/lib64/libgdk-3.so.0.200.0 gtk3-3.2.0-1.fc16.x86_64 (Fedora Project) 1317831251
:/usr/lib64/libenchant.so.1.6.0 enchant-1:1.6.0-3.fc16.x86_64 (Fedora Project) 1317262761
:/usr/lib64/libicudata.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1317262761
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1317262755
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1317262792
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-1.fc16.x86_64 (Fedora Project) 1317831178
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/ld-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libgthread-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318853905
:/usr/lib/locale/locale-archive glibc-common-2.14.90-12.x86_64 (Fedora Project) 1318853875
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-8.fc16.x86_64 (Fedora Project) 1317262756
:/usr/lib64/libXt.so.6.0.0 libXt-1.1.1-1.fc16.x86_64 (Fedora Project) 1317262756
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1317262757
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1317262756
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1317262758
:/lib64/libresolv-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1317262804
:/usr/lib64/libwebkitgtk-3.0.so.0.11.0 webkitgtk3-1.6.1-1.fc16.x86_64 (Fedora Project) 1317831361
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317831357
:/lib64/libgcc_s-4.6.1-20111002.so.1 libgcc-4.6.1-10.fc16.x86_64 (Fedora Project) 1317831092
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1317262769
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1317262813
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.4-1.fc16.x86_64 (Fedora Project) 1317262815
:/usr/lib64/libgstbase-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1317262764
:/usr/lib64/libgstinterfaces-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1317262792
:/usr/lib64/libgeoclue.so.0.0.0 geoclue-0.12.0-7.fc16.x86_64 (Fedora Project) 1317262809
:/lib64/librt-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317831177
:/usr/lib64/libavahi-common.so.3.5.3 avahi-libs-0.6.30-4.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1317262813
:/usr/lib64/libgailutil-3.so.0.0.0 gtk3-3.2.0-1.fc16.x86_64 (Fedora Project) 1317831251
:/usr/lib64/libsoup-gnome-2.4.so.1.4.0 libsoup-2.36.0-1.fc16.x86_64 (Fedora Project) 1317831356
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1317831180
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1317262755
:/lib64/libgobject-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318853905
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libselinux.so.1 libselinux-2.1.5-5.1.fc16.x86_64 (Fedora Project) 1317831170
:/usr/lib64/libavahi-glib.so.1.0.2 avahi-glib-0.6.30-4.fc16.x86_64 (Fedora Project) 1317262806
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.36.0-1.fc16.x86_64 (Fedora Project) 1317831356
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317831177
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libicuuc.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1317262761
:/lib64/libgmodule-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318853905
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317831177
:/usr/lib64/libavahi-gobject.so.0.0.4 avahi-gobject-0.6.30-4.fc16.x86_64 (Fedora Project) 1317262806
:/lib64/libpthread-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1317262755
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.x86_64 (Fedora Project) 1317831239
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libdl-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.2.0.2-1.fc16.x86_64 (Fedora Project) 1317831347
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.1-10.fc16.x86_64 (Fedora Project) 1317831171
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libgstapp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1317262792
:/lib64/libutil-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-3.fc16.x86_64 (Fedora Project) 1318853891
:/usr/lib64/libgtk-3.so.0.200.0 gtk3-3.2.0-1.fc16.x86_64 (Fedora Project) 1317831251
:/usr/lib64/libgstvideo-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1317262792
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1317831173
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1317262754
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1317262756
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1317262754
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1317262756
:/lib64/libglib-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318853905
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1317262764
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317831357
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1317262754
:/usr/lib64/librsvg-2.so.2.34.1 librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1317262792
:/usr/bin/epiphany epiphany-1:3.2.0-1.fc16.x86_64 (Fedora Project) 1317836351
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1317262754
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.2.0-1.fc16.x86_64 (Fedora Project) 1317831251
:/lib64/libc-2.14.90.so glibc-2.14.90-12.x86_64 (Fedora Project) 1318853863
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libicui18n.so.46.0 libicu-4.6-2.fc16.x86_64 (Fedora Project) 1317262761
:/usr/lib64/libavahi-client.so.3.2.9 avahi-libs-0.6.30-4.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libgstpbutils-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1317262792
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1317262770
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libjavascriptcoregtk-3.0.so.0.11.0 webkitgtk3-1.6.1-1.fc16.x86_64 (Fedora Project) 1317831361
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1317262770
:/usr/lib64/libgirepository-1.0.so.1.0.0 gobject-introspection-1.30.0-1.fc16.x86_64 (Fedora Project) 1317831181

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=9
:HOSTNAME=lolcat
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=fea4aca7ce2fde7788abe38a00000009-1318873707.572757-303678435
:GNOME_KEYRING_CONTROL=/tmp/keyring-4jPKhH
:IMSETTINGS_MODULE=none
:USER=fred
:USERNAME=fred
:MAIL=/var/spool/mail/fred
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/fred/.local/bin:/home/fred/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/fred
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=18259
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/fred
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=fred
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VJwHME4e0T,guid=74a89a647b287e997f16a08d00004b14
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/fred
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-fred-dEkbGU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/18263,unix/unix:/tmp/.ICE-unix/18263
:SSH_AUTH_SOCK=/tmp/keyring-4jPKhH/ssh
:GPG_AGENT_INFO=/tmp/keyring-4jPKhH/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-panel-18465-lolcat-epiphany-0_TIME19237057
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/epiphany.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=18612

smolt_data:
:
:
:General
:=================================
:UUID: ed27b319-b30e-46a4-bc1d-33713593eef0
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5851.99
:CPU Vendor: GenuineIntel
:CPU Model: QEMU Virtual CPU version 0.14.0
:CPU Stepping: 3
:CPU Family: 6
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 2925
:System Memory: 996
:System Swap: 2015
:Vendor: Bochs
:System: Bochs 
:Form factor: Other
:Kernel: 3.1.0-0.rc9.git0.0.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6900:4098:6900:5) pci, virtio-pci, RAM, Virtio memory balloon
:(5549:1029:5549:1029) pci, None, VIDEO, SVGA II Adapter
:(6900:4099:6900:3) pci, virtio-pci, SIMPLE, Virtio console
:(6900:4096:6900:1) pci, virtio-pci, ETHERNET, Virtio network device
:(32902:9832:6900:4352) pci, snd_hda_intel, MULTIMEDIA, 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
:(32902:4663:6900:4352) pci, None, HOST/PCI, Qemu virtual machine
:(6900:4097:6900:2) pci, virtio-pci, SCSI, Virtio block device
:(32902:28947:6900:4352) pci, piix4_smbus, BRIDGE, Qemu virtual machine
:(32902:28704:6900:4352) pci, uhci_hcd, USB, Qemu virtual machine
:(32902:28688:6900:4352) pci, ata_piix, STORAGE, Qemu virtual machine
:(32902:28672:6900:4352) pci, None, PCI/ISA, Qemu virtual machine
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lolcat-lv_root / ext4 4096 4096 1426838 540931 526437 368640 258459 258459
:/dev/vda2 /boot ext4 1024 1024 495844 414594 388994 128016 127786 127786
:

var_log_messages:
:Oct 17 19:48:45 lolcat kernel: [19238.578970] epiphany[18613]: segfault at 150 ip 0000003de723917c sp 00007f34d6d014e0 error 4 in libc-2.14.90.so[3de7200000+1ac000]
:Oct 17 19:48:46 lolcat abrt[18614]: saved core dump of pid 18612 (/usr/bin/epiphany) to /var/spool/abrt/ccpp-2011-10-17-19:48:45-18612 (13758464 bytes)
Comment 1 fred 2011-10-17 15:09:57 EDT
Created attachment 528632 [details]
File: maps
Comment 2 fred 2011-10-17 15:09:59 EDT
Created attachment 528633 [details]
File: backtrace
Comment 3 Adam Williamson 2011-10-27 14:02:37 EDT
Package: epiphany-3.2.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Seems to crash occasionally on startup, but startup fine most of the time.
Comment 4 Adam Williamson 2011-10-27 14:03:45 EDT
this *could* be the the glibc issue https://bugzilla.redhat.com/show_bug.cgi?id=747377 : epiphany was in the list of packages that got rebuilt for that.
Comment 5 Simon Schampijer 2011-11-15 02:02:29 EST
Package: epiphany-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Wanted to start epiphany
Comment 6 Michael Scherer 2011-11-15 15:07:51 EST
Package: epiphany-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
just starting epiphany from gnome-shell, nothing special. It happen just after starting my session, and I had to restart gnome due to some other problem after resuming my session from suspend2ram.
Comment 7 Iván Jiménez 2011-11-28 00:16:02 EST
Package: epiphany-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
it happens a lot when starting it
Comment 8 Iván Jiménez 2011-12-16 10:15:18 EST
Package: epiphany-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
just start it
Comment 9 Mathieu Bridon 2012-01-12 08:19:19 EST
I opened Epiphany, and it crashed straight away.

It's not 100% reproduceable, but fairly common.


rating: 4
Package: epiphany-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 10 scjackson 2012-01-30 18:54:39 EST
I clicked the icon in the favorites pannel and it did not open. It started this bug report instead.
Thanks for your time and effort.


backtrace_rating: 4
Package: epiphany-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 11 scjackson 2012-01-30 18:54:44 EST
Created attachment 558488 [details]
File: backtrace
Comment 12 Bruce Cowan 2012-02-06 17:39:55 EST
Trying to start Epiphany causes this crash about half the time

backtrace_rating: 4
Package: epiphany-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 13 Bruce Cowan 2012-02-06 17:40:01 EST
Created attachment 559781 [details]
File: backtrace
Comment 14 Štefan Gurský 2012-02-12 05:37:59 EST
I started epiphany from gnome shell and it did not even show the window.

backtrace_rating: 4
Package: epiphany-3.2.1-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 Štefan Gurský 2012-02-12 05:38:09 EST
Created attachment 561191 [details]
File: backtrace
Comment 16 Martin Stransky 2012-02-15 04:30:55 EST
We're using mozilla crash reporter tool which reports crashes directly to mozilla crash database now, ABRT is no longer used for mozilla packages.

This is an automated bug change. If you can reproduce the crash reliably (you have testcase, page where it crashes or so), please reopen this bug and assign it directly to me.

Thanks.
Comment 17 Michael Scherer 2012-02-15 08:45:08 EST
Well, the bug is about epiphany, who use webkit. So I think this was closed incorrectly, yes.
Comment 18 Adam Williamson 2012-02-15 15:36:09 EST
plus the bug is trivially reproducible and people are, as is obvious above, reproducing it all the dam' time.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Mathieu Bridon 2012-02-16 19:29:43 EST
I just started Epiphany, and it crashed. The window didn't even have time to appear.

Basically, Epiphany crashes every time I start it for the first time (after I turned my laptop on), subsequent launches seem to work better (although it still happens, but less predictably)


backtrace_rating: 4
Package: epiphany-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 20 Mathieu Bridon 2012-02-16 19:29:48 EST
Created attachment 563780 [details]
File: backtrace
Comment 21 James A. Manes 2012-03-04 16:29:53 EST
Tried to launch the browser.

backtrace_rating: 4
Package: epiphany-3.2.1-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 22 James A. Manes 2012-03-04 16:29:59 EST
Created attachment 567419 [details]
File: backtrace
Comment 23 Jeff Law 2012-04-19 19:44:24 EDT
You'll notice the common part of the backtrace is the thread in GI_getenv.  Can someone who knows this code see if there's any possibility the other thread is calling setenv/clearenv?

Those routines are not thread safe and it's possible to create race conditions which result in this kind of failure.  Searching for GI_getenv will show a multitude of problems of this nature.

What's unfortunate is the i18n support, implicitly uses getenv...  So the number of potentially affected programs is huge.
Comment 24 Jeff Law 2012-04-20 01:21:28 EDT
I was just researching this further.  This is a known bug in epiphany-3.2.1 and was fixed in epiphany 3.3.4:

==============
Epiphany 3.3.4
==============

Changes:

  - Merge the stop/reload button with the location entry (#667176)
  - Merge the back and forward buttons in a single button group (#666604)
  - Use the Shell globalmenu for application actions when available
  - Drop the menubar in favor of a supermenu a-la Chrome (#665479)
  - Make sure to hide all chrome in application mode (#667634)
  - Add mnemonics for password and recovery inforbars (#667238)
  - Enable latest HTML5 fullscreen support (#665341)
  - Make g_setenv calls early during startup to avoid threading race
    conditions (#659145)
  - Stop using gtk_button_{press,release} to fake middle clicks in the
    toolbar buttons (#628364)
  - Try to be smarter about the content type of downloads (#662059)
  - Lots of other small fixes and cleanups


In particular the change to make the g_setenv calls earlier during startup fixes this problem.  F17 & rawhide contain ephphany-3.4.1 which fix this problem.
Comment 25 Martin Stransky 2012-05-03 07:28:17 EDT
Okay, thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.